function ACC = AirTrackAcc(filename)
%% Importing the data of Physlogger

[~,time_s,Channe1,Channe2] = importfile(filename);

%% Cliping the imported data between 0.7V and 1.5V, normalizing to unity. 
Ch1=clipping(Channe1); 
Ch2=clipping(Channe2);

%% Finding the time stamps that correspond to the edges of signal value 1
time1=time_s(indices((Ch1))); 
time2=time_s(indices((Ch2)));
TimeStamp=[time1(1:4);time2(1:4)];

%% Finding average acceleration

V1=(15.25/(TimeStamp(3)-TimeStamp(1)));
V2=(15.25/(TimeStamp(4)-TimeStamp(2)));
V3=(15.25/(TimeStamp(7)-TimeStamp(5)));
V4=(15.25/(TimeStamp(8)-TimeStamp(6)));

V_AVG = [(V1+V2)/2;(V3+V4)/2];

T_AVG = [0.5*((0.5*(TimeStamp(1)+TimeStamp(2))) + (0.5*(TimeStamp(3)+TimeStamp(4))));...
        0.5*((0.5*(TimeStamp(5)+TimeStamp(6))) + (0.5*(TimeStamp(7)+TimeStamp(8))))];

ACC = (V_AVG(2)-V_AVG(1))/(T_AVG(2)-T_AVG(1));

 clearvars V_AVG T_AVG Sr_No_1 T V4 V3 V2 V1 filename timeN2 timeN1 time_s Sr_No_ flag ChN2 ChN1 Channel_2 Channel_1 Ch2 Ch1;
end